%btn{
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 12px;
    width: 3vw;
    min-width: 55px;
    height: 42px;
    cursor: pointer;
    img{
        width: 23px;
        height: 23px; 
    }
    &:hover{
        background-color: rgb(221, 221, 221);
    }
}

#nav {
    height: 50px;
    background-color: rgb(255, 255, 255);
    .burger-btn{
      border: none;
      color: transparent;
      font-size: 18px;
    }
    .collapse{
        .emptydiv{
            flex: 1;
        }
        .hsearch{
            display: flex;
            align-items: center;
            justify-content: center;
            flex: 1;
            .search-inp{
                width: 350px;
                input{
                    background-color: rgb(240, 240, 240);
                    height: 36px;
                    border:none;
                }
            }
            .search-btn{
                @extend %btn;
                margin-left: 10px;
            }
        }
        .prof-opt{
            display: flex;
            align-items: center;
            flex: 1;
            justify-content: flex-end;
            .h-btn{
                @extend %btn;
            }
            .profile-link{
                outline: none;
                text-decoration: none;
                margin: 0 3px;
                .profile-btn{
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    border-radius: 35px;
                    padding-right: 10px;
                    min-width: 110px;
                    &:hover{
                        background-color: rgb(231, 231, 231);
                    }
                    .profAvatar{
                        background-color: white;
                        width: 35px;
                        height: 34px;
                        border-radius: 100%;
                    }
                    span{
                        font-size: 18px;
                        color: rgb(71, 71, 71);
                    }
                }
            }
        }
  
   
    }
  }